/*  @(#)89  1.1 src/com/tivoli/pd/jazn/LocalRemoteDemo/PDTimer.java, pd.jazn, am610, 080214a 07/03/15 13:15:42 @(#)  */

/*
 *
 *
 * Licensed Materials - Property of IBM
 * 5748-XX8
 * (c) Copyright International Business Machines Corp. 2006
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * File Name: PDTimer.java
 */
/**
 *
 * Class that allows time to be measure around java code.
 * Note that the timing may be affected by the operating systems
 * processing swapping and are not exact
 *
 * Note that if the start method is not followed by a stop method call then the
 * getTime method will not be reliable.
 */
public class PDTimer {
	  // A simple "stopwatch" class with millisecond accuracy

	  private long startTime, endTime;
/**
 * Starts the timer
 *
 */
	  public void start()   {  startTime = System.currentTimeMillis();       }
 /**
 * Stops the timer
 *
 */
	  public void stop()    {  endTime   = System.currentTimeMillis();       }
 /**
 * Retrieves the differnce between the stop time and the start time.
 * @return long time_measured
 */	
	  public long getTime() {  return endTime - startTime;                   }
	}